Bug 334701 - GRUB does not include other OSes in boot loader menu
GRUB does not include other OSes in boot loader menu
Status: CLOSED DUPLICATE of bug 464214
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
10
i386 Linux
low Severity urgent
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
: FutureFeature
: 452545 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-16 12:16 EDT by Keith Roberts
Modified: 2009-04-23 13:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-23 13:32:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Keith Roberts 2007-10-16 12:16:21 EDT
Description of problem:

When installing F8t3 from the network installer disk, GRUB does not find any 
other Fedora root Linux partitions on my hard drive. This means that there is 
only one option to boot from in the GRUB boot menu, the latest F8t3 root 
partition. I have an FC6 boot partition on my system that GRUB does not find.

This may also apply to other partitions, such as Win XP, etc. (I overwrote my 
XP partition, with the latest installation of F8t3, due to space constraints.)

Version-Release number of selected component (if applicable):

grub-0.97-19  the default from installing

Expected results:

I expect GRUB to find all the other partitions that contain a bootable OS, 
whatever flavor that may be.

Additional info:

This could be really nasty for new users of Fedora. I think it really needs 
fixing ASAP for that reason. I don't think new users of Fedora will be too 
happy, if they cannot boot any of their alternative OSes.
Comment 1 Bug Zapper 2008-11-26 02:59:31 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Keith Roberts 2008-11-27 09:41:30 EST
Changed to Fedora version 10.
Comment 3 Christopher Beland 2009-04-22 18:17:21 EDT
*** Bug 452545 has been marked as a duplicate of this bug. ***
Comment 4 Christopher Beland 2009-04-23 04:30:48 EDT
This might actually be fixed in recent versions of Anaconda; see bug 464214.  Can anyone retest, either with Windows or other Linux variants as described in bug 452545?
Comment 5 Christopher Beland 2009-04-23 13:32:11 EDT
I'm told this is definitely an Anaconda problem; Grub is not expected to self-configure.  Since there's already a report against Anaconda, I'm marking this bug as a duplicate.  If you do test again for this issue, please note your results there.  Thanks!

*** This bug has been marked as a duplicate of bug 464214 ***

Note You need to log in before you can comment on or make changes to this bug.